Package com.xebialabs.xlrelease.domain

# Class TaskWithPropertiesDefinition

java.lang.Object
com.xebialabs.xlrelease.domain.TaskDefinition
com.xebialabs.xlrelease.domain.TaskWithPropertiesDefinition

Direct Known Subclasses:
  `ContainerTaskDefinition`, `PythonScriptDefinition`

public class TaskWithPropertiesDefinition extends TaskDefinition

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.TaskDefinition

  `allowed, containerTask, description, displayGroup, displayName, documentationPage, iconLocation, supportedInWorkflow, typeName, XEBIALABS_GROUP, XLRELEASE_GROUP, XLRELEASE_GROUP_REPLACEMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskWithPropertiesDefinition(Type type)`
  `TaskWithPropertiesDefinition(Type type, boolean allowed)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<PropertyDescriptor>`
  `getInputProperties()`
  `Collection<PropertyDescriptor>`
  `getOutputProperties()`
  `Collection<PropertyDescriptor>`
  `getTransitionalAndOutputProperties()`
  `static Predicate<PropertyDescriptor>`
  `ofKind(PropertyKind... propertyKinds)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.TaskDefinition

  `getDescription, getDisplayGroup, getDisplayGroup, getDisplayName, getDisplayName, getDocumentationPage, getDocumentationPage, getIconLocation, getIconLocation, getPrefix, getSupportedInWorkflow, getTypeName, isAllowed, isContainerTaskDefinition, isCore, isSupportedInWorkflow`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskWithPropertiesDefinition

    public TaskWithPropertiesDefinition(Type type, boolean allowed)

  - ### TaskWithPropertiesDefinition

    public TaskWithPropertiesDefinition(Type type)

- ## Method Details

  - ### getInputProperties

    public Collection<PropertyDescriptor> getInputProperties()

  - ### getOutputProperties

    public Collection<PropertyDescriptor> getOutputProperties()

  - ### getTransitionalAndOutputProperties

    public Collection<PropertyDescriptor> getTransitionalAndOutputProperties()

  - ### ofKind

    public static Predicate<PropertyDescriptor> ofKind(PropertyKind... propertyKinds)